## python-hdf5plugin 4.0.1

=== requirements.txt ===
py-cpuinfo==8.0.0
setuptools
sphinx
sphinx_rtd_theme
nbsphinx
wheel

=== debian/changelog ===
python-hdf5plugin (4.0.1-3) unstable; urgency=medium

  * Also update Recommends with new package names

 -- Enrico Zini <enrico@debian.org>  Tue, 31 Jan 2023 18:10:30 +0100

python-hdf5plugin (4.0.1-2) unstable; urgency=medium

  * Fixed build-depends to use new package names following
    https://salsa.debian.org/science-team/h5f-packaging-guidelines

 -- Enrico Zini <enrico@debian.org>  Tue, 31 Jan 2023 18:04:49 +0100

python-hdf5plugin (4.0.1-1) unstable; urgency=medium

  * New upstream release
  * Dropped Debian patches, no longer needed

 -- Enrico Zini <enrico@debian.org>  Wed, 07 Dec 2022 12:43:04 +0100

python-hdf5plugin (4.0.0-1) unstable; urgency=medium

  * Initial version. Closes: #1024764

 -- Enrico Zini <enrico@debian.org>  Sun, 04 Dec 2022 12:23:58 +0100

=== debian/control ===
Source: python-hdf5plugin
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Freexian Packaging Team <team+freexian@tracker.debian.org>
Build-Depends:
  debhelper-compat (= 13), dh-sequence-python3,
  python3-all, python3-setuptools,
# Testing:
  hdf5-filter-plugin-blosc-serial <!nocheck>,
  hdf5-filter-plugin-bz2-serial <!nocheck>,
  hdf5-filter-plugin-lz4-serial <!nocheck>,
  hdf5-filter-plugin-zfp-serial <!nocheck>,
  hdf5-plugin-lzf <!nocheck>,
  python3-numpy <!nocheck>, python3-h5py <!nocheck>,
# Documentation:
  dh-sequence-sphinxdoc <!nodoc>,
  python3-sphinx <!nodoc>, python3-nbsphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>, pandoc <!nodoc>
Standards-Version: 4.6.1
Rules-Requires-Root: no
Testsuite: autopkgtest, autopkgtest-pkg-python
Homepage: https://github.com/silx-kit/hdf5plugin
Vcs-Git: https://salsa.debian.org/science-team/python-hdf5plugin.git
Vcs-Browser: https://salsa.debian.org/science-team/python-hdf5plugin

Package: python3-hdf5plugin
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-h5py
Recommends:
  hdf5-filter-plugin-blosc-serial,
  hdf5-filter-plugin-bz2-serial,
  hdf5-filter-plugin-lz4-serial,
  hdf5-filter-plugin-zfp-serial,
  hdf5-plugin-lzf
Description: Python library to make HDF5 compression filters usable from h5py
 hdf5plugin provides h5py extensions to control HDF5 compression filters
 plugins installed in the system.
 .
 The package supports providing options to:
 * blosc
 * bitshuffle
 * lz4
 * FCIDECOMP
 * ZFP
 * zstd
 .
 These filter plugins are not provided by this package and need to be installed
 using their own packages.

Package: python3-hdf5plugin-doc
Build-Profiles: <!nodoc>
Architecture: all
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Python library to make HDF5 compression filters usable from h5py (documentation)
 hdf5plugin provides h5py extensions to control HDF5 compression filters
 plugins installed in the system.
 .
 The package supports providing options to:
 * blosc
 * bitshuffle
 * lz4
 * FCIDECOMP
 * ZFP
 * zstd
 .
 These filter plugins are not provided by this package and need to be installed
 using their own packages.
 .
 This is the documentation for hdf5plugin.

=== debian/rules ===
#!/usr/bin/make -f

DOPACKAGES := $(shell dh_listpackages)

export HDF5PLUGIN_STRIP=all

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
	dh_auto_test -- -s custom --test-args="env PYTHONPATH={build_dir} {interpreter} -m hdf5plugin.test"
	dh_auto_test -- -s custom --test-args="env PYTHONPATH={build_dir} {interpreter} test/test.py"
endif

# Build documentation
ifneq (,$(filter python3-hdf5plugin-doc,$(DOPACKAGES)))

execute_after_dh_auto_build:
	PYTHONPATH=`pwd`/build/lib make -C doc html

endif

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import hdf5plugin; print(hdf5plugin)" ; done
Depends: python3-all, python3-hdf5plugin, 
Restrictions: allow-stderr, superficial, 
Features: test-name=autodep8-python3

Test-Command: python3 -m hdf5plugin.test -v
Depends: @, @recommends@
Restrictions: allow-stderr

=== debian/watch ===
version=4 opts="searchmode=plain, \
filenamemangle=s/.+/v@ANY_VERSION@/@package@-$1.tar.gz/, \
dversionmangle=auto" \
https://api.github.com/repos/silx-kit/hdf5plugin/releases \
https://api.github.com/repos/silx-kit/hdf5plugin/tarball/v@ANY_VERSION@ \
debian uupdate

## python-hdf5plugin 5.0.0

=== src/H5Z-SPERR/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

project(H5Z-MD5 VERSION 0.1.3 LANGUAGES C DESCRIPTION "HDF5 plugin for SPERR compression")

set(CMAKE_C_STANDARD 11)
if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Choose the type of build." FORCE)
    set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release" "RelWithDebInfo")
endif()

option( BUILD_SHARED_LIBS "Build shared libraries" ON )
option( BUILD_CLI_UTILITIES "Build a set of command line utilities" ON )
option( H5ZPLUGIN_PREFER_RPATH "Set RPATH; this can fight with package managers 
                                so turn off when building for them" ON )
mark_as_advanced(FORCE H5ZPLUGIN_PREFER_RPATH)

find_package(HDF5 REQUIRED COMPONENTS C)
message(STATUS "Found HDF5 Version: ${HDF5_VERSION}: ${HDF5_C_LIBRARIES}")

if(H5ZPLUGIN_PREFER_RPATH)
  set( CMAKE_SKIP_BUILD_RPATH             FALSE )
  set( CMAKE_BUILD_WITH_INSTALL_RPATH     FALSE )
  set( CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}" )
  set( CMAKE_INSTALL_RPATH_USE_LINK_PATH  TRUE  )
endif()

set (SPERR_INSTALL_DIR "SPERR INSTALL DIRECTORY" 
     CACHE STRING "where subdirectories such as lib and include are found")
list(APPEND CMAKE_PREFIX_PATH ${SPERR_INSTALL_DIR})
find_package(PkgConfig REQUIRED)
pkg_search_module(SPERR REQUIRED IMPORTED_TARGET GLOBAL SPERR)
if (SPERR_FOUND)
  message(STATUS "Found SPERR version ${SPERR_VERSION}: ${SPERR_LINK_LIBRARIES}")
endif()

add_subdirectory( src )

#
# Build command line utilities
#
if( BUILD_CLI_UTILITIES )
  add_subdirectory( utilities ${CMAKE_BINARY_DIR}/bin )
endif()

#
# Start installation using GNU installation rules
#
include( GNUInstallDirs )
install( TARGETS h5z-sperr LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} )

if( BUILD_CLI_UTILITIES )
  install( TARGETS generate_cd_values decode_cd_values
           RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} )
endif()

=== src/SPERR/CMakeLists.txt ===
# Tutorial: https://cmake.org/cmake/help/latest/guide/tutorial/index.html

cmake_minimum_required(VERSION 3.14)

project(SPERR VERSION 0.8.2 LANGUAGES CXX DESCRIPTION "Lossy Scientific Compression with SPERR")

if(NOT CMAKE_CXX_STANDARD)
    set(CMAKE_CXX_STANDARD "20" CACHE STRING "Choose the C++ Standard to use." FORCE)
    set_property(CACHE CMAKE_CXX_STANDARD PROPERTY STRINGS "20" "17")
endif()

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Choose the type of build." FORCE)
    set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release" "RelWithDebInfo")
endif()

include(CMakeDependentOption)
#
# Test system endian. SPERR only works on little endian machines,
# which are pretty much all machines on the market in 2020.
#
include(TestBigEndian)
test_big_endian(IS_BIG_ENDIAN)
if(IS_BIG_ENDIAN)
 message(FATAL_ERROR "CMake detects that the target machine is BIG ENDIAN,\
                      which SPERR cannot work on!")
else()
 message(STATUS "Little endian machine, good!")
endif()

option( BUILD_SHARED_LIBS "Build shared SPERR library" ON )
option( BUILD_UNIT_TESTS "Build unit tests using GoogleTest" ON )
option( BUILD_CLI_UTILITIES "Build a set of command line utilities" ON )
option( USE_OMP "Use OpenMP parallelization on 3D volumes" OFF )
option( SPERR_PREFER_RPATH "Set RPATH; this can fight with package managers so turn off when building for them" ON )
mark_as_advanced(FORCE SPERR_PREFER_RPATH)

if(USE_OMP)
  find_package(OpenMP REQUIRED)
  if (OpenMP_CXX_FOUND)
    message(STATUS "OpenMP found! (${OpenMP_CXX_LIB_NAMES}-${OpenMP_CXX_VERSION}: ${OpenMP_CXX_FLAGS})")
  else()
    message(FATAL_ERROR "OpenMP NOT found! Try turning it off to continue configuring SPERR!")
  endif()
endif()

#
# Gather git commit SHA1
#
find_package(Git)
execute_process(COMMAND
  ${GIT_EXECUTABLE} describe --always --dirty
  WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}"
  OUTPUT_VARIABLE GIT_SHA1
  OUTPUT_STRIP_TRAILING_WHITESPACE
)
execute_process(COMMAND
  ${GIT_EXECUTABLE} rev-parse --abbrev-ref HEAD
  # Note: when git version 2.22 is more common, then we can use the following command
  #       to retrieve the current branch name.
  # ${GIT_EXECUTABLE} branch --show-current
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
  OUTPUT_VARIABLE GIT_BRANCH
  OUTPUT_STRIP_TRAILING_WHITESPACE
)
message(STATUS "Repository Git Branch: ${GIT_BRANCH}, SHA1: ${GIT_SHA1}")

#
# configure a header file to pass some of the CMake settings to the source code
#
configure_file("${CMAKE_SOURCE_DIR}/SperrConfig.h.in" SperrConfig.h @ONLY)
include_directories(${CMAKE_CURRENT_BINARY_DIR})


if(SPERR_PREFER_RPATH)
#
# Basically always use full rpath when installing.
# These specifications need to be placed before defining any targets.
#
# Kitware documentation on CMake's handle or rpath:
# https://gitlab.kitware.com/cmake/community/-/wikis/doc/cmake/RPATH-handling
# and a good discussion on rpath topics:
# https://stackoverflow.com/questions/32469953/why-is-cmake-designed-so-that-it-removes-runtime-path-when-installing
#
set( CMAKE_SKIP_BUILD_RPATH             FALSE )
set( CMAKE_BUILD_WITH_INSTALL_RPATH     FALSE )
set( CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}" )
set( CMAKE_INSTALL_RPATH_USE_LINK_PATH  TRUE  )
endif()


#
# Compile the SPERR library
#
add_subdirectory( src )

#
# Build command line utilities
#
if( BUILD_CLI_UTILITIES )
  # Download and build CLI11
  #
  include(FetchContent)

  # Control internal options of CLI11
  #
  set( CLI11_PRECOMPILED ON CACHE INTERNAL "Save precompiled CLI11")
  set( CLI11_SINGLE_FILE OFF CACHE INTERNAL "Don't use single file CLI11")
  FetchContent_Declare( cli11
    GIT_REPOSITORY https://github.com/CLIUtils/CLI11
    GIT_TAG        6c7b07a878ad834957b98d0f9ce1dbe0cb204fc9 # v2.4.2
  )
  FetchContent_MakeAvailable(cli11)

  add_subdirectory( utilities ${CMAKE_BINARY_DIR}/bin )
endif()


#
# Fetch Google Test: https://google.github.io/googletest/quickstart-cmake.html
#
if( BUILD_UNIT_TESTS )
  # Control internal options of GoogleTest
  #
  set( INSTALL_GTEST OFF CACHE INTERNAL "Not install GoogleTest")
  set( BUILD_GMOCK ON CACHE INTERNAL "Build gmock")

  # Let's use the new mechanism to incorporate GoogleTest
  #
  include(FetchContent)
  if(${CMAKE_VERSION} VERSION_GREATER_EQUAL "3.24")
    message (STATUS "Fetching the latest GoogleTest Framework, CMake version >= 3.24")
    FetchContent_Declare( googletest
      URL https://github.com/google/googletest/archive/refs/heads/main.zip
      DOWNLOAD_EXTRACT_TIMESTAMP NEW )
  else()
    message (STATUS "Fetching the latest GoogleTest Framework, CMake version < 3.24")
    FetchContent_Declare( googletest
      URL https://github.com/google/googletest/archive/refs/heads/main.zip )
  endif()

  # Prevent overriding the parent project's compiler/linker settings on Windows
  #
  set(gtest_force_shared_crt ON CACHE BOOL "" FORCE)
  FetchContent_MakeAvailable(googletest)

  # Copy test data sets to the build directory
  #
  file( COPY ${CMAKE_CURRENT_SOURCE_DIR}/test_data DESTINATION ${CMAKE_CURRENT_BINARY_DIR} )

  enable_testing() # calling this function before adding subdirectory to enable 
                   # invoking ctest from the top-level build directory.
  add_subdirectory( test_scripts )
endif()


#
# Start installation using GNU installation rules
#
include( GNUInstallDirs )

# Install the SPERR library
#
if( BUILD_SHARED_LIBS )
  install( TARGETS SPERR LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
           PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR} )
else()
  install( TARGETS SPERR ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
           PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR} )
endif()

# Install utilities
#
if( BUILD_CLI_UTILITIES )
  install( TARGETS show_version sperr3d sperr2d sperr3d_trunc
           RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} )
endif()

# Add a pkg-config file, also copy over SperrConfig.h
#
configure_file("${CMAKE_SOURCE_DIR}/SPERR.pc.in" SPERR.pc @ONLY)
install( FILES "${CMAKE_BINARY_DIR}/SPERR.pc" DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/pkgconfig)
install( FILES "${CMAKE_BINARY_DIR}/SperrConfig.h" DESTINATION ${CMAKE_INSTALL_INCLUDEDIR} )

=== src/H5Z-SPERR/src/CMakeLists.txt ===
add_library( h5z-sperr h5z-sperr.c )
target_include_directories( h5z-sperr PUBLIC ${HDF5_INCLUDE_DIR} 
                                      PUBLIC ${SPERR_INCLUDE_DIRS}
                                      PUBLIC ${CMAKE_SOURCE_DIR}/include )
target_link_libraries( h5z-sperr PUBLIC ${HDF5_LIBRARIES} PUBLIC PkgConfig::SPERR )

=== src/c-blosc2/bench/CMakeLists.txt ===
# Blosc - Blocked Shuffling and Compression Library
#
# Copyright (c) 2021  Blosc Development Team <blosc@blosc.org>
# https://blosc.org
# License: BSD 3-Clause (see LICENSE.txt)
#
# See LICENSE.txt for details about copyright and rights to use.

# sources for main bench
set(SOURCES b2bench.c)
# other benchmarks
set(SOURCES_DELTA delta_schunk.c)
set(SOURCES_TRUNC_PREC trunc_prec_schunk.c)
set(SOURCES_SUM_OPENMP sum_openmp.c)
set(SOURCES_ZERO_RUNLEN zero_runlen.c)
set(SOURCES_CFRAME create_frame.c)
set(SOURCES_SFRAME sframe_bench.c)

add_subdirectory(b2nd)

# targets
add_executable(b2bench ${SOURCES})
add_executable(delta_schunk ${SOURCES_DELTA})
add_executable(trunc_prec_schunk ${SOURCES_TRUNC_PREC})
add_executable(sum_openmp ${SOURCES_SUM_OPENMP})
add_executable(zero_runlen ${SOURCES_ZERO_RUNLEN})
add_executable(create_frame ${SOURCES_CFRAME})
add_executable(sframe_bench ${SOURCES_SFRAME})
if(UNIX AND NOT APPLE)
    # cmake is complaining about LINK_PRIVATE in original PR
    # and removing it does not seem to hurt, so be it.
    # target_link_libraries(b2bench LINK_PRIVATE rt)
    target_link_libraries(b2bench rt)
    target_link_libraries(delta_schunk rt)
    target_link_libraries(trunc_prec_schunk rt)
    target_link_libraries(sum_openmp rt)
    target_link_libraries(zero_runlen rt)
    target_link_libraries(create_frame rt)
    target_link_libraries(sframe_bench rt)
endif()
if(UNIX)
    # Avoid a warning when using gcc without -fopenmp
    target_compile_options(sum_openmp PRIVATE "-Wno-unknown-pragmas")
endif()
target_link_libraries(b2bench blosc_testing)
target_link_libraries(delta_schunk blosc_testing)
target_link_libraries(trunc_prec_schunk blosc_testing)
target_link_libraries(sum_openmp blosc_testing)
target_link_libraries(zero_runlen blosc_testing)
target_link_libraries(create_frame blosc_testing)
target_link_libraries(sframe_bench blosc_testing)

# tests
if(BUILD_TESTS)

    # The commented tests below take too much time to complete
    option(TEST_INCLUDE_BENCH_SHUFFLE_1 "Include b2bench shuffle (1 thread) in the tests" ON)

    if(TEST_INCLUDE_BENCH_SHUFFLE_1)
        set(SHUFFLE_1_OPTS shuffle test 1)
        add_test(NAME test_blosclz_shuffle_1
            COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:b2bench> blosclz ${SHUFFLE_1_OPTS})
        add_test(NAME test_lz4_shuffle_1
            COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:b2bench> lz4 ${SHUFFLE_1_OPTS})
        # add_test(NAME test_lz4hc_shuffle_1
            # COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:b2bench> lz4hc ${SHUFFLE_1_OPTS})
        if(HAVE_ZLIB)
            # add_test(NAME test_zlib_shuffle_1
                # COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:b2bench> zlib ${SHUFFLE_1_OPTS})
        endif()
        if(HAVE_ZSTD)
            # add_test(NAME test_zstd_shuffle_1
                # COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:b2bench> zstd ${SHUFFLE_1_OPTS})
        endif()
    endif()

    option(TEST_INCLUDE_BENCH_SHUFFLE_N "Include b2bench shuffle (multithread) in the tests" ON)
    if(TEST_INCLUDE_BENCH_SHUFFLE_N)
        set(SHUFFLE_N_OPTS shuffle test)
        add_test(NAME test_blosclz_shuffle_n
            COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:b2bench> blosclz ${SHUFFLE_N_OPTS})
        add_test(NAME test_lz4_shuffle_n
            COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:b2bench> lz4 ${SHUFFLE_N_OPTS})
        add_test(NAME test_lz4hc_shuffle_n
            COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:b2bench> lz4hc ${SHUFFLE_N_OPTS})
        if(HAVE_ZLIB)
            add_test(NAME test_zlib_shuffle_n
                COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:b2bench> zlib ${SHUFFLE_N_OPTS})
        endif()
        if(HAVE_ZSTD)
            add_test(NAME test_zstd_shuffle_n
                COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:b2bench> zstd ${SHUFFLE_N_OPTS})
        endif()
    endif()

    option(TEST_INCLUDE_BENCH_BITSHUFFLE_1 "Include b2bench bitshuffle (1 thread) in the tests" ON)
    if(TEST_INCLUDE_BENCH_BITSHUFFLE_1)
        set(BITSHUFFLE_1_OPTS bitshuffle test 1)
        add_test(NAME test_blosclz_bitshuffle_1
            COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:b2bench> blosclz ${BITSHUFFLE_1_OPTS})
        add_test(NAME test_lz4_bitshuffle_1
            COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:b2bench> lz4 ${BITSHUFFLE_1_OPTS})
        # add_test(NAME test_lz4hc_bitshuffle_1
            # COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:b2bench> lz4hc ${BITSHUFFLE_1_OPTS})
        if(HAVE_ZLIB)
            # add_test(NAME test_zlib_bitshuffle_1
                # COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:b2bench> zlib ${BITSHUFFLE_1_OPTS})
        endif()
        if(HAVE_ZSTD)
            # add_test(NAME test_zstd_bitshuffle_1
                # COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:b2bench> zstd ${BITSHUFFLE_1_OPTS})
        endif()
    endif()

    option(TEST_INCLUDE_BENCH_BITSHUFFLE_N "Include b2bench bitshuffle (multithread) in the tests" ON)
    if(TEST_INCLUDE_BENCH_BITSHUFFLE_N)
        set(BITSHUFFLE_N_OPTS bitshuffle test)
        add_test(NAME test_blosclz_bitshuffle_n
            COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:b2bench> blosclz ${BITSHUFFLE_N_OPTS})
        add_test(NAME test_lz4_bitshuffle_n
            COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:b2bench> lz4 ${BITSHUFFLE_N_OPTS})
        # add_test(NAME test_lz4hc_bitshuffle_n
            # COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:b2bench> lz4hc ${BITSHUFFLE_N_OPTS})
        if(HAVE_ZLIB)
            # add_test(NAME test_zlib_bitshuffle_n
                # COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:b2bench> zlib ${BITSHUFFLE_N_OPTS})
        endif()
        if(HAVE_ZSTD)
            # add_test(NAME test_zstd_bitshuffle_n
                # COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:b2bench> zstd ${BITSHUFFLE_N_OPTS})
        endif()
    endif()

    option(TEST_INCLUDE_BENCH_SUITE "Include b2bench suite in the tests" OFF)
    if(TEST_INCLUDE_BENCH_SUITE)
        add_test(NAME test_hardsuite
            COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:b2bench> blosclz shuffle suite)
    endif()

    option(TEST_INCLUDE_BENCH_DEBUGSUITE "Include b2bench debugsuite in the tests" OFF)
    if(TEST_INCLUDE_BENCH_DEBUGSUITE)
        add_test(NAME test_debugsuite
            COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:b2bench> blosclz shuffle debugsuite)
    endif()

    option(TEST_INCLUDE_BENCH_DELTA "Include delta bench in the tests" ON)
    if(TEST_INCLUDE_BENCH_DELTA)
        add_test(NAME test_bench_delta
            COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:delta_schunk>)
    endif()

    option(TEST_INCLUDE_BENCH_TRUNC_PREC "Include trunc bench in the tests" ON)
    if(TEST_INCLUDE_BENCH_TRUNC_PREC)
        add_test(NAME test_bench_trunc_prec
            COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:trunc_prec_schunk>)
    endif()

    option(TEST_INCLUDE_BENCH_SUM_OPENMP "Include sum_openmp in the tests" OFF)
    if(TEST_INCLUDE_BENCH_SUM_OPENMP)
        add_test(NAME test_bench_sum_openmp
            COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:sum_openmp>)
    endif()

    option(TEST_INCLUDE_BENCH_ZERO_RUNLEN "Include zero_runlen in the tests" ON)
    if(TEST_INCLUDE_BENCH_ZERO_RUNLEN)
        add_test(NAME test_bench_zero_runlen
            COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:zero_runlen>)
    endif()

endif()

=== src/c-blosc2/blosc/CMakeLists.txt ===
# Blosc - Blocked Shuffling and Compression Library
#
# Copyright (c) 2021  Blosc Development Team <blosc@blosc.org>
# https://blosc.org
# License: BSD 3-Clause (see LICENSE.txt)
#
# See LICENSE.txt for details about copyright and rights to use.

# A simple way to detect that we are using CMAKE
add_definitions(-DUSING_CMAKE)

set(version_string ${BLOSC2_VERSION_MAJOR}.${BLOSC2_VERSION_MINOR}.${BLOSC2_VERSION_PATCH})

# targets
if(BUILD_SHARED)
    add_library(blosc2_shared SHARED)
    # ALIAS for superbuilds that use Blosc2 as sub-project
    # must be the same as the NAMESPACE in Blosc2Targets
    add_library(Blosc2::blosc2_shared ALIAS blosc2_shared)
    set_target_properties(blosc2_shared PROPERTIES
        OUTPUT_NAME blosc2
        # Hide symbols by default unless they're specifically exported.
        # This makes it easier to keep the set of exported symbols the
        # same across all compilers/platforms.
        C_VISIBILITY_PRESET hidden
    )
    if(MSVC OR MINGW)
        set_target_properties(blosc2_shared PROPERTIES PREFIX lib)
    endif()
    set_target_properties(blosc2_shared PROPERTIES
        VERSION ${version_string}
        SOVERSION 4  # Change this when an ABI change happens
    )
    target_compile_definitions(blosc2_shared PUBLIC BLOSC_SHARED_LIBRARY)
    target_include_directories(blosc2_shared PUBLIC
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
        $<INSTALL_INTERFACE:include>)
endif()
if(BUILD_STATIC)
    add_library(blosc2_static STATIC)
    # ALIAS for superbuilds that use Blosc2 as sub-project
    # must be the same as the NAMESPACE in Blosc2Targets
    add_library(Blosc2::blosc2_static ALIAS blosc2_static)
    set_target_properties(blosc2_static PROPERTIES
        OUTPUT_NAME blosc2
        POSITION_INDEPENDENT_CODE ON
        # Hide symbols by default unless they're specifically exported.
        # This makes it easier to keep the set of exported symbols the
        # same across all compilers/platforms.
        C_VISIBILITY_PRESET hidden
    )
    if(MSVC OR MINGW)
        set_target_properties(blosc2_static PROPERTIES PREFIX lib)
    endif()
    target_include_directories(blosc2_static PUBLIC
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
        $<INSTALL_INTERFACE:include>)
endif()
# When the option has been selected to compile the test suite,
# compile an additional version of blosc2_static which exports
# some normally-hidden symbols (to facilitate unit testing).
if(BUILD_TESTS)
    add_library(blosc_testing STATIC)
    set_target_properties(blosc_testing PROPERTIES OUTPUT_NAME blosc_testing)
    if(MSVC OR MINGW)
        set_target_properties(blosc_testing PROPERTIES PREFIX lib)
    endif()
    target_compile_definitions(blosc_testing PUBLIC
        BLOSC_TESTING
        BLOSC_SHARED_LIBRARY  # for EXPORT macro
    )
    target_include_directories(blosc_testing PUBLIC
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
        $<INSTALL_INTERFACE:include>)
endif()

set(INTERNAL_LIBS ${PROJECT_SOURCE_DIR}/internal-complibs)

# link dependencies
#   "link" dependent targets via target_link_libraries (preferred) and
#   manually add includes / libs for others
if(LZ4_FOUND)
    if(BUILD_SHARED)
        target_include_directories(blosc2_shared PUBLIC ${LZ4_INCLUDE_DIR})
    endif()
    if(BUILD_STATIC)
        target_include_directories(blosc2_static PUBLIC ${LZ4_INCLUDE_DIR})
    endif()
    if(BUILD_TESTS)
        target_include_directories(blosc_testing PUBLIC ${LZ4_INCLUDE_DIR})
    endif()
else()
    set(LZ4_LOCAL_DIR ${INTERNAL_LIBS}/lz4-1.10.0)
    if(BUILD_SHARED)
        target_include_directories(blosc2_shared PRIVATE ${LZ4_LOCAL_DIR})
    endif()
    if(BUILD_STATIC)
        target_include_directories(blosc2_static PRIVATE ${LZ4_LOCAL_DIR})
    endif()
    if(BUILD_TESTS)
        target_include_directories(blosc_testing PRIVATE ${LZ4_LOCAL_DIR})
    endif()
endif()

if(NOT DEACTIVATE_ZLIB)
    if(ZLIB_NG_FOUND)
        if(BUILD_SHARED)
            target_link_libraries(blosc2_shared PUBLIC ZLIB_NG::ZLIB_NG)
        endif()
        if(BUILD_STATIC)
            target_link_libraries(blosc2_static PUBLIC ZLIB_NG::ZLIB_NG)
        endif()
        if(BUILD_TESTS)
            target_link_libraries(blosc_testing PUBLIC ZLIB_NG::ZLIB_NG)
        endif()
    elseif(ZLIB_FOUND)
        if(BUILD_SHARED)
            target_link_libraries(blosc2_shared PUBLIC ZLIB::ZLIB)
        endif()
        if(BUILD_STATIC)
            target_link_libraries(blosc2_static PUBLIC ZLIB::ZLIB)
        endif()
        if(BUILD_TESTS)
            target_link_libraries(blosc_testing PUBLIC ZLIB::ZLIB)
        endif()
    else()
        set(ZLIB_LOCAL_DIR ${INTERNAL_LIBS}/${ZLIB_NG_DIR})
        if(BUILD_SHARED)
            target_include_directories(blosc2_shared PRIVATE ${ZLIB_LOCAL_DIR})
        endif()
        if(BUILD_STATIC)
            target_include_directories(blosc2_static PRIVATE ${ZLIB_LOCAL_DIR})
        endif()
        if(BUILD_TESTS)
            target_include_directories(blosc_testing PRIVATE ${ZLIB_LOCAL_DIR})
        endif()
    endif()
endif()

if(NOT DEACTIVATE_ZSTD)
    if(ZSTD_FOUND)
        if(BUILD_SHARED)
            target_include_directories(blosc2_shared PUBLIC ${ZSTD_INCLUDE_DIR})
            target_link_libraries(blosc2_shared PUBLIC ${ZSTD_LIBRARY})
        endif()
        if(BUILD_STATIC)
            target_include_directories(blosc2_static PUBLIC ${ZSTD_INCLUDE_DIR})
            target_link_libraries(blosc2_static PUBLIC ${ZSTD_LIBRARY})
        endif()
        if(BUILD_TESTS)
            target_include_directories(blosc_testing PUBLIC ${ZSTD_INCLUDE_DIR})
            target_link_libraries(blosc_testing PUBLIC ${ZSTD_LIBRARY})
        endif()
    else()
        set(ZSTD_LOCAL_DIR ${INTERNAL_LIBS}/zstd-1.5.6)
        if(BUILD_SHARED)
            target_include_directories(blosc2_shared PRIVATE ${ZSTD_LOCAL_DIR} ${ZSTD_LOCAL_DIR}/common)
        endif()
        if(BUILD_STATIC)
            target_include_directories(blosc2_static PRIVATE ${ZSTD_LOCAL_DIR} ${ZSTD_LOCAL_DIR}/common)
        endif()
        if(BUILD_TESTS)
            target_include_directories(blosc_testing PRIVATE ${ZSTD_LOCAL_DIR} ${ZSTD_LOCAL_DIR}/common)
        endif()
    endif()
endif()

# Threads
if(HAVE_THREADS)
    if(CMAKE_VERSION VERSION_LESS 3.1)
        set(LIBS ${LIBS} ${CMAKE_THREAD_LIBS_INIT})
    else()
        set(LIBS ${LIBS} Threads::Threads)
    endif()
elseif(WIN32)
    message(STATUS "using the internal pthread library for win32 systems.")
    list(APPEND SOURCES blosc/win32/pthread.c)
else()
    message(FATAL_ERROR "Threads required but not found.")
endif()

# dlopen/dlclose
if(NOT WIN32)
    set(LIBS ${LIBS} ${CMAKE_DL_LIBS})
endif()

if(LZ4_FOUND)
    set(LIBS ${LIBS} ${LZ4_LIBRARY})
else()
    file(GLOB LZ4_FILES ${LZ4_LOCAL_DIR}/*.c)
    list(APPEND SOURCES ${LZ4_FILES})
    source_group("LZ4" FILES ${LZ4_FILES})
endif()

if(NOT DEACTIVATE_ZLIB)
    if(ZLIB_NG_FOUND)
        set(LIBS ${LIBS} ${ZLIB_NG_LIBRARY})
    elseif(ZLIB_FOUND)
        set(LIBS ${LIBS} ${ZLIB_LIBRARIES})
    else()
        set(ZLIB_LOCAL_DIR ${INTERNAL_LIBS}/${ZLIB_NG_DIR})
        file(GLOB ZLIB_FILES ${ZLIB_LOCAL_DIR}/*.c)
        list(APPEND SOURCES ${ZLIB_FILES})
        source_group("Zlib" FILES ${ZLIB_FILES})
    endif()
endif()

if(NOT DEACTIVATE_ZSTD)
    if(ZSTD_FOUND)
        set(LIBS ${LIBS} ${ZSTD_LIBRARY})
    else()
        # Enable assembly code only when not using MSVC *and* x86 is there
        if((NOT MSVC) AND COMPILER_SUPPORT_SSE2)   # if SSE2 is here, this is an x86 platform
            message(STATUS "Adding support for assembly sources in ZSTD")
            file(GLOB ZSTD_DECOMPRESS_FILES ${ZSTD_LOCAL_DIR}/decompress/*.S)
        else()
            message(STATUS "Disabling support for assembly sources in ZSTD")
            add_compile_definitions("ZSTD_DISABLE_ASM")
        endif()
        file(GLOB ZSTD_DECOMPRESS_FILES ${ZSTD_DECOMPRESS_FILES}
                ${ZSTD_LOCAL_DIR}/decompress/*.c)
        file(GLOB ZSTD_COMMON_FILES ${ZSTD_LOCAL_DIR}/common/*.c)
        file(GLOB ZSTD_COMPRESS_FILES ${ZSTD_LOCAL_DIR}/compress/*.c)
        file(GLOB ZSTD_DICT_FILES ${ZSTD_LOCAL_DIR}/dictBuilder/*.c)
        set(ZSTD_FILES ${ZSTD_COMMON_FILES} ${ZSTD_COMPRESS_FILES}
            ${ZSTD_DECOMPRESS_FILES} ${ZSTD_DICT_FILES})
        list(APPEND SOURCES ${ZSTD_FILES})
        source_group("Zstd" FILES ${ZSTD_FILES})
    endif()
endif()

if(HAVE_IPP)
    set(LIBS ${LIBS} "${IPP_LIBRARIES}")
endif()

if(UNIX AND NOT APPLE)
    set(LIBS ${LIBS} "rt")
    set(LIBS ${LIBS} "m")
    # set(LIBS ${LIBS} "profiler")
endif()


# Blosc2 library source files
list(APPEND SOURCES
    blosc/blosc2.c
    blosc/blosclz.c
    blosc/fastcopy.c
    blosc/fastcopy.h
    blosc/schunk.c
    blosc/frame.c
    blosc/stune.c
    blosc/stune.h
    blosc/context.h
    blosc/delta.c
    blosc/delta.h
    blosc/shuffle-generic.c
    blosc/bitshuffle-generic.c
    blosc/trunc-prec.c
    blosc/trunc-prec.h
    blosc/timestamp.c
    blosc/sframe.c
    blosc/directories.c
    blosc/blosc2-stdio.c
    blosc/b2nd.c
    blosc/b2nd_utils.c
)
if(NOT CMAKE_SYSTEM_PROCESSOR STREQUAL arm64)
    if(COMPILER_SUPPORT_SSE2)
        message(STATUS "Adding run-time support for SSE2")
        list(APPEND SOURCES blosc/shuffle-sse2.c blosc/bitshuffle-sse2.c)
    endif()
    if(COMPILER_SUPPORT_AVX2)
        message(STATUS "Adding run-time support for AVX2")
        list(APPEND SOURCES blosc/shuffle-avx2.c blosc/bitshuffle-avx2.c)
    endif()
    if(COMPILER_SUPPORT_AVX512)
        message(STATUS "Adding run-time support for AVX512")
        list(APPEND SOURCES blosc/bitshuffle-avx512.c)
    endif()
endif()
if(COMPILER_SUPPORT_NEON)
    message(STATUS "Adding run-time support for NEON")
    # bitshuffle-neon.c does not offer better speed than generic on arm64 (Mac M1).
    # Besides, it does not compile on raspberry pi (armv7l), so disable it.
    list(APPEND SOURCES blosc/shuffle-neon.c)  # blosc/bitshuffle-neon.c)
endif()
if(COMPILER_SUPPORT_ALTIVEC)
    message(STATUS "Adding run-time support for ALTIVEC")
    list(APPEND SOURCES blosc/shuffle-altivec.c blosc/bitshuffle-altivec.c)
endif()
list(APPEND SOURCES blosc/shuffle.c)

# Based on the target architecture and hardware features supported
# by the C compiler, set hardware architecture optimization flags
# for specific shuffle implementations.
if(COMPILER_SUPPORT_SSE2)
    if(MSVC)
        # MSVC targets SSE2 by default on 64-bit configurations, but not 32-bit configurations.
        if(${CMAKE_SIZEOF_VOID_P} EQUAL 4)
            set_source_files_properties(
                    shuffle-sse2.c bitshuffle-sse2.c blosclz.c fastcopy.c
                    PROPERTIES COMPILE_OPTIONS "/arch:SSE2")
        endif()
    else()
        set_source_files_properties(
                shuffle-sse2.c bitshuffle-sse2.c blosclz.c fastcopy.c
                PROPERTIES COMPILE_OPTIONS -msse2)
        # Add SIMD flags for the bytedelta filter and Intel (it seems that ARM64 does not need these)
        set_source_files_properties(
                ${PROJECT_SOURCE_DIR}/plugins/filters/bytedelta/bytedelta.c
                PROPERTIES COMPILE_OPTIONS "-mssse3")
    endif()

    # Define a symbol for the shuffle-dispatch implementation
    # so it knows SSE2 is supported even though that file is
    # compiled without SSE2 support (for portability).
    set_property(
            SOURCE shuffle.c
            APPEND PROPERTY COMPILE_DEFINITIONS SHUFFLE_SSE2_ENABLED)

endif()
if(COMPILER_SUPPORT_AVX2)
    if(MSVC)
        set_source_files_properties(
                shuffle-avx2.c bitshuffle-avx2.c
                PROPERTIES COMPILE_OPTIONS "/arch:AVX2")
    else()
        set_source_files_properties(
                shuffle-avx2.c bitshuffle-avx2.c
                PROPERTIES COMPILE_OPTIONS -mavx2)
    endif()

    # Define a symbol for the shuffle-dispatch implementation
    # so it knows AVX2 is supported even though that file is

=== src/SZ3/tools/sz3c/CMakeLists.txt ===
add_library(
        SZ3c
        src/sz3c.cpp
)

target_link_libraries(
        SZ3c
        PUBLIC SZ3
)

target_include_directories(
        SZ3c
        PUBLIC
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
        $<INSTALL_INTERFACE:include/SZ3c>
)

install(TARGETS SZ3c EXPORT SZ3c
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        )
install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/include/ DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/SZ3c)

=== src/SZ3/tools/zstd/dll/example/Makefile ===
# ################################################################
# Copyright (c) 2016-2020, Yann Collet, Facebook, Inc.
# All rights reserved.
#
# This source code is licensed under both the BSD-style license (found in the
# LICENSE file in the root directory of this source tree) and the GPLv2 (found
# in the COPYING file in the root directory of this source tree).
# You may select, at your option, one of the above-listed licenses.
# ################################################################

VOID    := /dev/null
ZSTDDIR  := ../include
LIBDIR  := ../static
DLLDIR  := ../dll

CFLAGS  ?= -O3   # can select custom flags. For example : CFLAGS="-O2 -g" make
CFLAGS  += -Wall -Wextra -Wundef -Wcast-qual -Wcast-align -Wshadow -Wswitch-enum \
           -Wdeclaration-after-statement -Wstrict-prototypes \
           -Wpointer-arith -Wstrict-aliasing=1
CFLAGS  += $(MOREFLAGS)
CPPFLAGS:= -I$(ZSTDDIR) -DXXH_NAMESPACE=ZSTD_
FLAGS   := $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)


# Define *.exe as extension for Windows systems
ifneq (,$(filter Windows%,$(OS)))
EXT =.exe
else
EXT =
endif

.PHONY: default fullbench-dll fullbench-lib


default: all

all: fullbench-dll fullbench-lib


fullbench-lib: fullbench.c datagen.c
	$(CC) $(FLAGS) $^ -o $@$(EXT) $(LIBDIR)/libzstd_static.lib

fullbench-dll: fullbench.c datagen.c
	$(CC) $(FLAGS) $^ -o $@$(EXT) -DZSTD_DLL_IMPORT=1 $(DLLDIR)/libzstd.dll

clean:
	@$(RM) fullbench-dll$(EXT) fullbench-lib$(EXT) \
	@echo Cleaning completed

=== debian/changelog ===
python-hdf5plugin (5.0.0-1) unstable; urgency=medium

  * d/gbp.conf: deleted, use the defaut gbp schema for debian-science
  * New upstream version 5.0.0
  * Bug fix: "FTBFS: AttributeError: `np.alltrue` was removed in the NumPy
    2.0 release.", thanks to Santiago Vila (Closes: #1095370).
  * Bug fix: "Fails to build source after successful build", thanks to
    Lucas Nussbaum (Closes: #1047884).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 05 Mar 2025 16:45:40 +0100

python-hdf5plugin (4.0.1-4) unstable; urgency=medium

  * Team upload.

  [ Picca Frédéric-Emmanuel ]
  * Update standards version to 4.6.2, no changes needed.

  [ Santiago Ruano Rincón ]
  * Fix d/watch

 -- Santiago Ruano Rincón <santiago@freexian.com>  Wed, 18 Dec 2024 22:03:54 -0300

=== debian/control ===
Source: python-hdf5plugin
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Freexian Packaging Team <team+freexian@tracker.debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 bitshuffle <!nocheck>,
 hdf5-filter-plugin-blosc-serial <!nocheck>,
 hdf5-filter-plugin-bz2-serial <!nocheck>,
 hdf5-filter-plugin-lz4-serial <!nocheck>,
 hdf5-filter-plugin-zfp-serial <!nocheck>,
 hdf5-plugin-lzf <!nocheck>,
 pandoc <!nodoc>,
 python3-all,
 python3-cpuinfo,
 python3-h5py <!nocheck>,
 python3-nbsphinx <!nodoc>,
 python3-numpy <!nocheck>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Testsuite: autopkgtest, autopkgtest-pkg-python
Homepage: https://github.com/silx-kit/hdf5plugin
Vcs-Git: https://salsa.debian.org/science-team/python-hdf5plugin.git
Vcs-Browser: https://salsa.debian.org/science-team/python-hdf5plugin

Package: python3-hdf5plugin
Architecture: all
Depends:
 python3-h5py,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 bitshuffle,
 hdf5-filter-plugin-blosc-serial,
 hdf5-filter-plugin-bz2-serial,
 hdf5-filter-plugin-lz4-serial,
 hdf5-filter-plugin-zfp-serial,
 hdf5-plugin-lzf,
Description: Python library to make HDF5 compression filters usable from h5py
 hdf5plugin provides h5py extensions to control HDF5 compression filters
 plugins installed in the system.
 .
 The package supports providing options to:
 * blosc
 * bitshuffle
 * lz4
 * FCIDECOMP
 * ZFP
 * zstd
 .
 These filter plugins are not provided by this package and need to be installed
 using their own packages.

Package: python3-hdf5plugin-doc
Build-Profiles: <!nodoc>
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Python library to make HDF5 compression filters usable from h5py (documentation)
 hdf5plugin provides h5py extensions to control HDF5 compression filters
 plugins installed in the system.
 .
 The package supports providing options to:
 * blosc
 * bitshuffle
 * lz4
 * FCIDECOMP
 * ZFP
 * zstd
 .
 These filter plugins are not provided by this package and need to be installed
 using their own packages.
 .
 This is the documentation for hdf5plugin.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%, \
dversionmangle=auto" \
    https://github.com/silx-kit/hdf5plugin/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
